#!/usr/bin/php
<?php
set_include_path(get_include_path() . PATH_SEPARATOR . "/usr/local/mgr5/include/php");
define('__MODULE__', "pmenot");
require_once 'billmgr_util.php';

$param = CgiInput();

if (empty($param['elid'])) throw new Exception("EMPTY ELID!");

$info = LocalQuery("payment.info", array("elid" => $param["elid"]));

$elid = (string) $info->payment->id;

$sum = $info->payment->paymethodamount;

$cur_currency = (string) $info->payment->currency[1]->iso;

$paymethod_params = (array) $info->payment->paymethod[1];

$merchant_id = $paymethod_params["merchant_id"];
$secret_word = $paymethod_params["secret_word"];

$project_params = (array) $info->payment->project;

$order_name = $project_params["name"]." #".$elid;


$sum = $sum;
$sum = str_replace(',', '.', $sum);
$sum = number_format($sum, 2, '.', '');

$params = array(
	'shop_id' => $merchant_id,
	'amount' => $sum,
	'currency' => $cur_currency,
	'comment' => $project_params["name"].' – Заказ #'.$elid,
	'order_id' => time().'_'.$elid,
);

echo '
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
</head>
<body>
<form name="payment_form" method="get" action="'.getPaymentUrl($params,$secret_word).'">
</form>
<script>document.payment_form.submit();</script>
</body>
</html>';

?>