#!/bin/bash
module=$1
token=$2


echo "Установка модуля $module..."

echo "Проверка наличия unzip..."
unzippath=$(which unzip)
if [ -z $unzippath ]; then
	echo -e "\e[31mUnzip отсутствует!\e[0m"
	exit
fi
echo "OK!"

mkdir "enot"
unzip "enot.zip" -d "enot" >/dev/null

bmpath="/usr/local/mgr5/"

for dir in enot/*; do
	filename=$(basename $dir)
	cp -rf $dir $bmpath
	if [ $? -ne 0 ]; then
		echo -e "\e[31mВозникли проблемы при копировании файлов!\e[0m"
		rm -R "enot"
		exit
	else
		find $bmpath$filename -type f -name "*.php" -exec chmod 755 {} \;
	fi
done

rm -R "enot"

echo "Перезагрузка биллинга..."
/usr/local/mgr5/sbin/mgrctl exit -m billmgr
sleep 3

echo -e "\e[32mМодуль успешно установлен!\e[0m"